Bug 34558 - [mod_jk1.2.10] HTTP status 200 returned in case of internal sever error instead of 500
[mod_jk1.2.10] HTTP status 200 returned in case of internal sever error inste...
Status: RESOLVED FIXED
Product: Tomcat Connectors
Classification: Unclassified
Component: Common
unspecified
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-04-21 23:40 UTC by Olivier Vit
Modified: 2008-10-05 03:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Vit 2005-04-21 23:40:41 UTC
When using Apache 2.0.54 along with mod_jk1.2.10 on windows (tomcat 4, AJP13
connector)
and when there is some tomcat misconfiguration, tomcat is down or whatever,
Apache displays a OK 200 page instead of 500 error page

This occured after upgrading mod_jk from 1.2.8 to 1.2.10

source code of the page : 

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>200 OK</title>
</head><body>
<h1>OK</h1>
<p>The server encountered an internal error or
misconfiguration and was unable to complete
your request.</p>
<p>Please contact the server administrator,
 info@somecompany.com and inform them of the time the error occurred,
and anything you might have done that may have
caused the error.</p>
<p>More information about this error may be available
in the server error log.</p>
<hr>
<address>Apache/2.0.54 (Win32) mod_jk/1.2.10 PHP/4.3.11 Server at
somecompany.com Port 80</address>
</body></html>
Comment 1 Mark Thomas 2005-04-28 00:08:59 UTC
Yep. This is a bug and has been fixed in CVS. See
http://marc.theaimsgroup.com/?l=tomcat-dev&m=111408234509889&w=2 for details.
Comment 2 Olivier Vit 2005-06-20 17:18:08 UTC
Thanks

I wonder if HTTP extensions for webDAV are also properly handled ?
I have experienced trouble when accessing Jakarta Slide through Apache & mod_jk

http://www.ietf.org/rfc/rfc2518.txt

Regards